<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>HoverEffect</title>

    <style>
        section {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100vw;
            height: 100vh;
            font-family: Arial, sans-serif;
        }

        div {
            position: relative;
            box-sizing: border-box;
            border: 1px grey solid;
            width: 300px;
            height: 200px;
            transition: 100ms;
            user-select: none;
        }

        img {
            position: absolute;
            height: 50%;
            width: auto;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background-color: white;
            transition: 500ms ease-in-out;
        }

        h1 {
            position: absolute;
            text-align: center;
            text-transform: uppercase;
            top: 75%;
            left: 50%;
            transform: translate(-50%, -50%);
            transition: 500ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
        }

        span {
            position: absolute;
            width: 80%;
            height: 40%;
            opacity: 0;
            top: 80%;
            left: 50%;
            transform: translate(-50%, -50%) scale(0, 0);
            transition: 500ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
            font-size: 11px;
        }

        div:hover {
            border-color: red;
            transform: scale(1.5);
        }

        div:hover img {
            top: 0;
        }

        div:hover h1 {
            top: 30%;
        }

        div:hover span {
            opacity: 100;
            transform: translate(-50%, -50%) scale(1, 1);
        }
    </style>
</head>
<body>
<section>
    <div>
        <img src="https://cdn-icons-png.flaticon.com/512/65/65732.png" alt="icon">
        <h1>Title</h1>
        <span>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias corporis fuga fugiat ipsam neque optio velit. Adipisci animi at corporis cumque, dolores, itaque labore laudantium modi mollitia, nostrum quia sapiente.</span>
    </div>
</section>
</body>
</html>